=== debian/changelog ===
devscripts (2.15.8) unstable; urgency=high

  * licensecheck:
    + Avoid argument injection which may cause file to overwrite a file
      through symlink indirection.  (Closes: #794365, CVE-2015-5705)

 -- James McCoy <jamessan@debian.org>  Sun, 02 Aug 2015 09:06:05 -0400

devscripts (2.15.7) unstable; urgency=medium

  * licensecheck:
    + Use Dpkg::IPC to run file to avoid shell injection.
      (Closes: #794260, CVE-2015-5704)
    + Change whitelist of mime types to greylist of encodings.  Restores
      ability to check files with mime types like text/x-c++ and
      application/postscript.  Thanks to Jonas Smedegaard for the patch.
      (Closes: #794282)
    + Fix an endless loop in parsing certain files.  Thanks to Jonas
      Smedegaard for the patch.  (Closes: #794263)

 -- James McCoy <jamessan@debian.org>  Fri, 31 Jul 2015 22:50:33 -0400

devscripts (2.15.6) unstable; urgency=medium

  [ Paul Wise ]
  * Adjust wording of common suffixes passed to repacksuffix

  [ James McCoy ]
  * debcheckout:
    + Handle Launchpad Git URLs.  Thanks to Colin Watson for the patch.
      (Closes: #788777)
    + Handle authenticated checkout when Vcs-Darcs is missing the root /darcs
      directory.
  * checkbashisms:
    + Fix unescaped, literal curly brace in regex, causing FTBFS with Perl
      5.22.  Thanks to Roderich Schupp for the patch.  (Closes: #788707)
    + Improve detection of %q/%b to include when it is at the start of the
      string.  Thanks to Eero Vuojolahti.  (Closes: #793396)
  * wnpp-check:
    + Use getopt to handle argument parsing.
    + Add --exact switch to match the exact package name instead of a
      substring.  Thanks to Balasankar C.  (Closes: #791918)
  * Replace manual parsing of dpkg-buildpackage's output with the use of its
    -S switch or the Dpkg::Changelog::Parse Perl module.
    + Bump minimum required version of dpkg-dev to 1.17.0
  * dget: Support arch-qualified package names.  “dget foo:i386” will download
    the foo binary package for Arch: i386.  “dget --all srcfoo:i386” will
    download all binary packages from the srcfoo source package that are
    either Arch: all or Arch: any/i386.  (Closes: #792917)
  * uscan: Only check for presence of signing key when downloading a new
    upstream archive.  (Closes: #790047)

  [ Dominique Dumont ]
  * licensecheck:
    * extract © owner when © and owners are specified on 2 or more lines.
    * fix digia © and license extraction (Closes: #789074)
    * fix BSD-2-clause detection
    * parse assembly files with suffix .S
    * warn if scanned file is not a text file (Closes: #791756)

  [ Mattia Rizzolo ]
  * uscan: Suggest the correct syntax in the manpage for the dversionmangle
    option, escaping a '+'. Thanks to Martin Erik Werner for reporting.
    (Closes: #789389)

 -- James McCoy <jamessan@debian.org>  Mon, 27 Jul 2015 23:12:23 -0400

devscripts (2.15.5) unstable; urgency=low

  [ Cyril Brulebois ]
  * Update chdist bash-completion file with the architectures currently (as
    of 2015-04-28) listed on buildd.debian.org and buildd.debian-ports.org.
    (Closes: #783634)
  * Add support for RMADISON_SSL_CA_FILE and RMADISON_SSL_CA_PATH, so that
    one can point to system-specific locations for CA-related files, and pass
    them to curl/wget via the appropriate options.  (Closes: #784812)

  [ James McCoy ]
  * wrap-and-sort:
    + Always remove empty elements from lists so “-t” doesn't add a new, empty
      element.  (Closes: #783630)
    + Remove empty lines in debhelper-related files.  (Closes: #780667)
  * Install Perl modules into $Config{vendorlib} and remove the hacks in
    various scripts to make them see devscript's modules.
  * Add bash completion scripts for uscan (thanks to Ben Finney) and
    mk-origtargz.  (Closes: #784394)
  * Stop building and shipping libvfork.so since strace has handled vforks for
    at least a decade.
  * Move bash-completion scripts from /etc/bash_completion.d (compat
    directory) to /usr/share/bash-completion/completions.
  * debdiff: Inspect wdiff's return code rather than Dpkg::IPC::spawn's
    exception to determine if wdiff found differences.  (Closes: #786518)
  * Store cached files in $XDG_CACHE_HOME instead of ~/.devscripts_cache.
    (Closes: #659330)
  * bts:
    + Use https to talk to bugs.debian.org
    + Use URI & URI::QueryParam to parse URIs rather than regexps.  This fixes
      issues with not detecting BTS URLs as valid due to ordering of query
      parameters.  (Closes: #786706)
  * debuild: Recognize -jauto as a valid option. Based on a patch by Reiner
    Herrmann.  (Closes: #787276)
  * uscan:
    + Fix Github example in man page.  (Closes: #757194)
    + Clear cached redirection URLs every time a watch line is processed.
      This ensures any relative URLs are built into absolute URLs using
      relevant sites.  (Closes: #736063)
  * Devscripts::Debbugs: Retrieve bug status in chunks to avoid building large
    responses on bugs.d.o.
  * mk-build-deps:
    + Verify build-dep package was installed since the install tool may exit
      successfully even if the package couldn't be installed.  Based on a
      patch by Dima Kogan.  (Closes: #755371)
  * mergechanges:
    + Add -d option to delete input files on success.  Thanks to Mark Hymers
      for the patch.  (Closes: #640068)
  * dd-list:
    + Strip arch-qualifiers from given package names.  (Closes: #788367)

  [ Dominique Dumont ]
  * licensecheck:
    * check file encoding and decode properly when reading file
     (Closes: #784821)
    * improve GPL LGPL extraction
    * optimize regex used to extract © info
    * check Groovy, Scala and Clojure files (Closes: #771119)
    * fixed regexp used to detect discussion about © (Closes: #723723)
    * fix BSL parser (Closes: #690375)
    * support academic free license (Closes: #534987)
    * allow © owner to mention "and others"
    * support eclipse public license (Closes: #587892)

